Difference between revisions of "System Requirements"

From 3DGE Wiki
Jump to: navigation, search
Line 1: Line 1:
The system requirements for each platform are listed below. It is currently unknown what the [[Macintosh]] version needs as it is not built from source - neither is the [[Linux]] version.
+
====== <code>'''Please be aware that, for all Operating Systems, you *must* have a valid [[IWAD]] to run the engine!'''</code> ======
 +
{| class="wikitable" border="0" width="90%" style="background:#f9f9f9; border: 1px solid #aaa;" cellpadding="10"
 +
! width="45%" |[[File:WindowsIcon.png|40px|Windows&reg; Logo 2002]] <b>Microsoft&reg; Windows&reg;</b>
 +
----<i>Windows&reg; XP Service Pack 3 and higher (Windows&reg; Vista/7+ is highly recommended)</i>
 +
|}
 +
* '''2 GHz Dual-Core CPU''' or faster ('''Quad-Core is strongly recommended for modern 3DGE mods''').
 +
** '''Your CPU must be SSE2 capable''' to run 3DGE 2.0 or higher! See [[wikipedia:SSE2#CPU_support|Supported CPUS]] on Wikipedia.
  
* 1.2 GHz CPU or faster (2 GHz/Dual-Core is strongly recommended for modern mods).
+
* '''2GB RAM''' (''1GB minimum.'' '''For ''Windows Vista'' and up,''' '''8GB or more is ''strongly recommended''''').
* 512MB RAM (2GB RAM or more recommended).
+
* '''Hardware accelerated 3D card''' with [[wikipedia:OpenGL|OpenGL]] drivers:
* Hardware accelerated 3D card with [[OpenGL]] drivers.
+
     * ''At least'' a Radeon HD or Geforce '''NV40 6 series''' class with '''512MB''' or higher is recommended.
     * This engine is known to run on VooDoo class cards, and PowerVR cards for OpenGL 1.1.
+
     * For OpenGL3 mode, you need a card that supports '''Shader Model 3.0''' (recommended).
     * For OpenGL 2 mode, you need at least a Radeon HD or Geforce FX class card.
+
* '''''Windows Vista and higher (Windows 7/8/10 verified)''', 32-bit or 64-bit, '''is required.'''''
* Either a DOOM, DOOM II, HACX, or Final DOOM IWAD file. HERETIC is partially supported.
+
** '''Windows XP SP3''' is the lowest Windows version to be supported (in the DevBuilds). '''Please be aware:'''      <code>'''3DGE 2.1.0 and above no longer works with Windows 2000 and below'''</code>. You can, however, build a version that supports those older operating systems yourself by compiling using the Windows Makefile with GCC, called makefile.xming. <code>Windows binaries of 3DGE are normally compiled with Visual Studio 2015.</code>
 
+
* ''[https://www.microsoft.com/en-us/download/details.aspx?id=48145 Visual Studio 2015 C++ Runtimes]'' are '''required to be installed''' - x86 or x64, depending on your CPU type.  
* For Win32:
+
** '''Windows XP SP3 users:''' alongside the run-times that need installation, additional DLLs to start 3DGE under this OS can be downloaded from the 3DGE website, as they are ''not included'' in the release/devbuild packages.
    * DirectX 7.0 or higher.
 
    * Windows 2000 or higher. Windows 98 and lower is unsupported.
 
  
 
*  For Linux:
 
*  For Linux:
     * SDL (Simple DirectMedia Layer) version 1.2.
+
     SDL (Simple DirectMedia Layer) version 2.0.3.
     * glibc 2.
+
     glibc 2.
  
 +
*  For MacOSX:
 +
    TO-DO (WIP)
 
*  For Dreamcast:
 
*  For Dreamcast:
 
     * Console manufactured before the year 2000 to play burned media.
 
     * Console manufactured before the year 2000 to play burned media.
 
     * Alternatively, an [[emulator]].
 
     * Alternatively, an [[emulator]].
 
     * [[VMU]] with (X) Free Blocks to save game data.
 
     * [[VMU]] with (X) Free Blocks to save game data.

Revision as of 16:22, 20 July 2017

Please be aware that, for all Operating Systems, you *must* have a valid IWAD to run the engine!
Windows® Logo 2002 Microsoft® Windows®
Windows® XP Service Pack 3 and higher (Windows® Vista/7+ is highly recommended)
  • 2 GHz Dual-Core CPU or faster (Quad-Core is strongly recommended for modern 3DGE mods).
    • Your CPU must be SSE2 capable to run 3DGE 2.0 or higher! See Supported CPUS on Wikipedia.
  • 2GB RAM (1GB minimum. For Windows Vista and up, 8GB or more is strongly recommended).
  • Hardware accelerated 3D card with OpenGL drivers:
   * At least a Radeon HD or Geforce NV40 6 series class with 512MB or higher is recommended.
   * For OpenGL3 mode, you need a card that supports Shader Model 3.0 (recommended).
  • Windows Vista and higher (Windows 7/8/10 verified), 32-bit or 64-bit, is required.
    • Windows XP SP3 is the lowest Windows version to be supported (in the DevBuilds). Please be aware: 3DGE 2.1.0 and above no longer works with Windows 2000 and below. You can, however, build a version that supports those older operating systems yourself by compiling using the Windows Makefile with GCC, called makefile.xming. Windows binaries of 3DGE are normally compiled with Visual Studio 2015.
  • Visual Studio 2015 C++ Runtimes are required to be installed - x86 or x64, depending on your CPU type.
    • Windows XP SP3 users: alongside the run-times that need installation, additional DLLs to start 3DGE under this OS can be downloaded from the 3DGE website, as they are not included in the release/devbuild packages.
  • For Linux:
   SDL (Simple DirectMedia Layer) version 2.0.3.
   glibc 2.
  • For MacOSX:
   TO-DO (WIP)
  • For Dreamcast:
   * Console manufactured before the year 2000 to play burned media.
   * Alternatively, an emulator.
   * VMU with (X) Free Blocks to save game data.